- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Friends

# FbxRedBack_IteratorType< RecordType > Class Template Reference

Search for all occurrences

## Detailed Description

### template<typename RecordType>
class FbxRedBack_IteratorType< RecordType >

Definition at line 58 of file fbxmap.h.

`#include <fbxmap.h>`

List of all members.

## Public Member Functions
| FbxRedBack_IteratorType ()
| FbxRedBack_IteratorType (RecordType *pRecord)
| FbxRedBack_IteratorType (const FbxRedBack_IteratorType< RecordType > &pV)
FbxRedBack_IteratorType & | operator++ ()
const FbxRedBack_IteratorType | operator++ (int)
FbxRedBack_IteratorType & | operator-- ()
const FbxRedBack_IteratorType | operator-- (int)
const RecordType & | operator* () const
RecordType & | operator* ()
const RecordType * | operator-> () const
RecordType * | operator-> ()
bool | operator== (const FbxRedBack_IteratorType &pOther) const
bool | operator!= (const FbxRedBack_IteratorType &pOther) const
## Protected Attributes
RecordType * | mRecord
## Friends
class | FbxRedBack_ConstIteratorType< RecordType >

## Constructor & Destructor Documentation

FbxRedBack_IteratorType | ( |  | ) | `[inline]`

Definition at line 61 of file fbxmap.h.

    : mRecord(0) {}

FbxRedBack_IteratorType | ( | RecordType * | pRecord | ) | `[inline]`

Definition at line 62 of file fbxmap.h.

    : mRecord(pRecord) {}

FbxRedBack_IteratorType | ( | const FbxRedBack_IteratorType< RecordType > & | pV | ) | `[inline]`

Definition at line 63 of file fbxmap.h.

    : mRecord(pV.mRecord) {}

## Member Function Documentation

FbxRedBack_IteratorType& operator++ | ( |  | ) | `[inline]`

Definition at line 66 of file fbxmap.h.

        {
            FBX_ASSERT( mRecord != NULL );
            mRecord = mRecord->Successor();
            return *this;
        }

const FbxRedBack_IteratorType operator++ | ( | int |  | ) | `[inline]`

Definition at line 74 of file fbxmap.h.

        {
            FbxRedBack_IteratorType t(*this);
            operator++();
            return t;
        }

FbxRedBack_IteratorType& operator-- | ( |  | ) | `[inline]`

Definition at line 82 of file fbxmap.h.

        {
            FBX_ASSERT( mRecord );
            mRecord = mRecord->Predecessor();
            return *this;
        }

const FbxRedBack_IteratorType operator-- | ( | int |  | ) | `[inline]`

Definition at line 90 of file fbxmap.h.

        {
            FbxRedBack_IteratorType t(*this);
            operator--();
            return t;
        }

const RecordType& operator* | ( |  | ) | const `[inline]`

Definition at line 97 of file fbxmap.h.

        {
            FBX_ASSERT( mRecord );

            return *mRecord;
        }

RecordType& operator* | ( |  | ) | `[inline]`

Definition at line 104 of file fbxmap.h.

        {
            FBX_ASSERT( mRecord );

            return *mRecord;
        }

const RecordType* operator-> | ( |  | ) | const `[inline]`

Definition at line 111 of file fbxmap.h.

        {
            FBX_ASSERT( mRecord );

            return mRecord;
        }

RecordType* operator-> | ( |  | ) | `[inline]`

Definition at line 118 of file fbxmap.h.

        {
            FBX_ASSERT( mRecord );

            return mRecord;
        }

bool operator== | ( | const FbxRedBack_IteratorType< RecordType > & | pOther | ) | const `[inline]`

Definition at line 125 of file fbxmap.h.

        {
            return mRecord == pOther.mRecord;
        }

bool operator!= | ( | const FbxRedBack_IteratorType< RecordType > & | pOther | ) | const `[inline]`

Definition at line 130 of file fbxmap.h.

        {
            return mRecord != pOther.mRecord;
        }

## Friends And Related Function Documentation

friend class FbxRedBack_ConstIteratorType< RecordType > `[friend]`

Search for all occurrences

Definition at line 136 of file fbxmap.h.

## Member Data Documentation

RecordType* mRecord `[protected]`

Search for all occurrences

Definition at line 138 of file fbxmap.h.

The documentation for this class was generated from the following file:

- fbxsdk/core/base/fbxmap.h